Página 1 de 1

Problema para instalar theharvester en archlinux

Publicado: Mié Mar 06, 2019 8:32 pm
por jesseshl
Hola al instalar theharvester en archlinux, su salida del error es:

Código: [Necesita Registrarse o Iniciar Sesión para ver el enlace]

Traceback (most recent call last):
  File "/usr/bin/theharvester", line 3, in <module>
    from discovery import *
  File "/usr/share/theharvester/discovery/baidusearch.py", line 2, in <module>
    from lib.core import *
  File "/usr/share/theharvester/lib/core.py", line 4, in <module>
    import yaml
ModuleNotFoundError: No module named 'yaml'
Se soluciona de la siguiente manera:

Código: [Necesita Registrarse o Iniciar Sesión para ver el enlace]

pacman -S python-yaml
Luego ando el siguiente error:

Código: [Necesita Registrarse o Iniciar Sesión para ver el enlace]

Traceback (most recent call last):
  File "/usr/bin/theharvester", line 7, in <module>
    from lib import reportgraph
  File "/usr/share/theharvester/lib/reportgraph.py", line 3, in <module>
    import plotly
  File "/usr/lib/python3.7/site-packages/plotly/__init__.py", line 31, in <module>
    from plotly import (plotly, dashboard_objs, graph_objs, grid_objs, tools,
  File "/usr/lib/python3.7/site-packages/plotly/plotly/__init__.py", line 10, in <module>
    from . plotly import (
  File "/usr/lib/python3.7/site-packages/plotly/plotly/plotly.py", line 30, in <module>
    from plotly import exceptions, files, session, tools, utils
  File "/usr/lib/python3.7/site-packages/plotly/tools.py", line 18, in <module>
    from plotly import exceptions, optional_imports, session, utils
  File "/usr/lib/python3.7/site-packages/plotly/utils.py", line 21, in <module>
    import pytz
ModuleNotFoundError: No module named 'pytz'
Instalando:

Código: [Necesita Registrarse o Iniciar Sesión para ver el enlace]

pip install pytz decorator --user
Listo logre solucionar ese error.

Re: Problema para instalar theharvester en archlinux

Publicado: Mié Mar 06, 2019 9:46 pm
por edu4rdshl
Este problema ha sido resuelto en estos dos commits: [Necesita Registrarse o Iniciar Sesión para ver el enlace] y [Necesita Registrarse o Iniciar Sesión para ver el enlace], adicionalmente se hizo un pull request en el github de la herramienta [Necesita Registrarse o Iniciar Sesión para ver el enlace].